=== debian/changelog ===
wrk (4.0.1-2) unstable; urgency=medium

  * Fix overlinking.

 -- Robert Edmonds <edmonds@debian.org>  Thu, 16 Apr 2015 20:48:23 -0400

wrk (4.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #782670)

 -- Robert Edmonds <edmonds@debian.org>  Wed, 15 Apr 2015 17:54:34 -0400
