=== debian/changelog ===
wrk (4.1.0-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:36:57 +1100

wrk (4.1.0-4build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:16:47 +0000

wrk (4.1.0-4) unstable; urgency=medium

  * Bump standards version to 4.6.2 (no changes necessary)
  * Add man page (Closes: #1050831)

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 29 Oct 2023 18:12:19 -0500

wrk (4.1.0-3) unstable; urgency=medium

  * Use dh_auto_build when building to call the correct make command when cross compiling and don't hard-code the build architecture's pkg-config.
    Thanks to Helmut Grohne (Closes: #961949)

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 31 May 2020 23:42:16 -0500

wrk (4.1.0-2) unstable; urgency=medium

  * Fix FTBFS on armel.
    Thanks to Adrian Bunk (Closes: #960755)

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 16 May 2020 12:47:51 -0500

wrk (4.1.0-1) unstable; urgency=medium

  * New upstream release
  * Update Makefile for Debian
  * debian/docs: Update path to README

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 16 May 2020 02:44:59 -0500

wrk (4.0.2-3) unstable; urgency=medium

  * Change maintainer to Stephen Gelman
  * Fix FTBFS with luajit 2.1.
    Thanks to Rinat Ibragimov (Closes: #873321, #874176)
  * debian/control: Update Vcs-* urls
  * debian/control: Update dh compat level to 12 and standards version to 4.5.0
  * Fix lintian warnings and errors

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 16 May 2020 01:48:55 -0500
