=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: wrk
 Section: web
 Priority: optional
-Maintainer: Robert Edmonds <edmonds@debian.org>
-Build-Depends:
- debhelper (>= 9~)
- , libluajit-5.1-dev
- , libssl-dev
- , luajit
- , pkg-config
-Standards-Version: 3.9.6
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Gelman <ssgelm@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               libluajit-5.1-dev,
+               libssl-dev,
+               luajit,
+               pkg-config,
+               help2man,
+Standards-Version: 4.6.2
 Homepage: https://github.com/wg/wrk
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/wrk.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/wrk.git
+Vcs-Browser: https://salsa.debian.org/debian/wrk
+Vcs-Git: https://salsa.debian.org/debian/wrk.git
 
 Package: wrk
 Architecture: any
